Skip to main content
PATCH
Error

Authorizations

X-Api-Key
string
header
required

API key sent in the X-Api-Key header. Generate an API key from https://app.atonom.ai/#/settings/v2/api_keys.

Path Parameters

id
integer<int64>
required

Identifier of the phone number.

Example:

2001

Body

application/json
inbound_cloud_employee_id
integer<int64>

Cloud employee handling inbound calls.

Example:

1001

name
string

New display name for the phone number.

Example:

"Renamed line"

outbound_cloud_employee_id
integer<int64>

Cloud employee handling outbound calls.

Example:

1001

Response

OK

area_code
string
required

NANP area code.

Example:

"555"

e164
string
required
read-only

Phone number in E.164 format.

Example:

"+15551234567"

id
integer<int64>
required
read-only

Stable identifier of the phone number.

Example:

2001

name
string
required

Display name of the phone number.

Example:

"Main line"

inbound_cloud_employee_id
integer<int64>

Cloud employee handling inbound calls.

Example:

1001

outbound_cloud_employee_id
integer<int64>

Cloud employee handling outbound calls.

Example:

1001